Bug 59198 - psql crashes when used interactively
psql crashes when used interactively
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-01 18:43 EST by Emilio Panighetti
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-08 12:14:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emilio Panighetti 2002-02-01 18:43:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020104

Description of problem:
When psql is called interactively, it returns with the following message:

$ psql -d mydatabase
Welcome to psql, the PostgreSQL interactive terminal.

Type:  \copyright for distribution terms
       \h for help with SQL commands
       \? for help on internal slash commands
       \g or terminate with semicolon to execute query
       \q to quit

psql: relocation error: psql: undefined symbol: PQgetssl
$


It works when called from a script, i.e. when used with -f as in psql -d
mydatabse -f myscript.sql

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Call psql interactively

Actual Results:  Returns the following: 
psql: relocation error: psql: undefined symbol: PQgetssl

Expected Results:  Should obtain a psql prompt.

Additional info:

postgresql-libs version: 7.1.3-2 (provides /usr/lib/libpq.so.2.1)
Comment 1 Trond Eivind Glomsrxd 2002-02-08 12:14:48 EST
Works here...
Comment 2 Trond Eivind Glomsrxd 2002-03-27 14:41:41 EST
I've used it in many different scenarios, and still haven't seen it break.

Note You need to log in before you can comment on or make changes to this bug.